Subject: KSA Ithraa Agents Observations
From: Saurabh Dadu <[email-masked]>
To: Shakeeb Arsalan <[email-masked]>, Apoorv Joshi <[email-masked]>, Ashish Dabral <[email-masked]>, Manish Kumar <[email-masked]>
Cc: abdulmajeed alanzy <[email-masked]>, Deeksha Dadu <[email-masked]>
Date: Mon, 14 Mar 2022 12:13:52 +0000

Dear Shakeeb and Apoorv,

Please note below important observations for Ithraa team:

  1.  The agents are not using the automated escalations here - They feel it does not work. Please prepare a list of scenarios for which its not working properly. I need this to be implemented 100% without any exceptions
  2.  The agents here are not filling the 3rd Party fields - this is not negotiable, I need those filled on each ticket, every time its escalated. @Ashish Dabral<mailto:[email-masked]> - the rule for making it mandatory, please include Ithraa group in it urgently!!!
  3.  Some errors I see them making:
     *   Escalating to courier for delayed delivery when the order is out for delivery already today
     *   Escalating to courier partner to update return status as picked up for Hybris, the return shows in transit on Aramex website, and in Hypris it is not picked up yet. There should be no reason to escalate unless its delivered to warehouse and not updated in Hybris
     *   Not proactively looking for related tickets and merging them
     *   Not replying to customer if he asked same question again in 1 or 2 hours

I will share more observations in some time. In the mean time get these fixed.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203